package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum CouponPageFlagEnum implements BaseEnum{

    WAIT("WAIT","待发布"),
    START("START","进行中"),
    END("END","结束"),
    CANCEL("CANCEL","取消");


    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;



}
